Subject: Re: [netmod] WGLC on draft-ietf-netmod-rfc6991-bis-11

From: Jürgen Schönwälder <[email-masked]>
Date: Mon, 7 Mar 2022 14:43:05 +0100

On Fri, Feb 18, 2022 at 10:51:29PM +0100, Vladimir Vassilev wrote:
> 
> On 18/02/2022 18.11, Andy Bierman wrote:
> > 
> > 
> > On Fri, Feb 18, 2022 at 8:39 AM Martin Björklund <[email-masked]
> > <mailto:[email-masked]>> wrote:
> > 
> >     Hi,
> > 
> >     I didn't find any discussion about the new percent types in the list
> >     archives.  Do we really need three types for percent?  We can now
> >     express 4294967295 percent, but not 10.5 percent.
> > 
> > 
> > 
> > IMO it is a mistake to have too many ways to do the same thing.
> > We already have the "units" statement to add details like "percent" and
> > "centiseconds".
> > (And there are RFCs already that define types this way.)
> > 
> > uint8 and int32 and uint32 for percent? Plus the units approach?
> 
> +1
> 
> How about adding decimal64 as an option? Then 10.5 is solved.
>

The problem is that someone suggested to have a percent type. Then I
investigated which types are in use and they differ widely in their
range, the underlying type etc. And yes, decimals would make things
worse. Personally, I feel this is a somewhat pointless type to have
since there is not much of value in having common percent types.

I conclude that there is no consensus on the percentage types and
hence I will remove them; it is easy to create a percent type where it
is needed or to import the percentage type from ietf-routing-types if
that fits the purpose.

/js

-- 
Jürgen Schönwälder              Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>